license_plate_api_denmark
====================

En Dart-pakke til at finde tekniske detaljer om koretojer, der er registreret i danmark pa deres nummerplade

`licens_plate_api_denmark` giver en enkel made at finde koretojsoplysninger fra en nummerplade (registreringsnummer)
af en bil registreret i danmark

Dette kraever et brugernavn og en adgangskode, som er tilgaengelig gratis fra http://dk.registreringsnummerapi.com/

## English

A Dart package for looking up technical details on vehicles registered in denmark by their license plate

`license_plate_api_denmark` provides a simple way to find vehicle details from a license plate (registration number)
of a car registered in denmark

This requires a username and password, which is available for free from http://dk.registreringsnummerapi.com/

  
## Usage

A simple usage example:

```dart
import 'package:license_plate_api_denmark/license_plate_api_denmark.dart' as RegCheck;

void main(List<String> arguments) async {
  // Usage:
  // dart bin/main.dart *REGISTRATION* *USERNAME* *PASSWORD*
  // *USERNAME* and *PASSWORD* are available from http://dk.registreringsnummerapi.com/
  var vehicle = await RegCheck.LicensePlate(arguments[0],arguments[1],arguments[2]);
  print('Description: ${vehicle['Description']}');
 
}
```

which produces the following:

```shell script
Description: OPEL MOKKA SE

```

## Features and bugs

Please file feature requests and bugs via the website http://dk.registreringsnummerapi.com/
